{
	"name": "table/external/hubspot/person/person-customer.json",
	"table_name": "contact",
	"table_prefix": "cope",
	"main_table": "company",
	"record_type": ["customer"],
	"local_table": "person",
	"local_record_type": "customer",
	"field": [
		{
			"field_name": "properties.firstname",
			"local_field": "first_name",
			"field_type": "integer"
		},
		{
			"field_name": "properties.lastname",
			"local_field": "last_name",
			"field_type": "integer"
		},
		{
			"field_name": "properties.email",
			"local_field": "email",
			"field_type": "integer"
		},
		{
			"field_name": "id",
			"local_field": "json_data.transfer_id",
			"field_type": "varchar"
		},
		{
			"field_name": "createdAt",
			"local_field": "create_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "updatedAt",
			"local_field": "modify_time",
			"field_type": "timestamp"
		}
	],
	"example_data": {
		"results": [
			{
				"id": "1",
				"archived": false,
				"createdAt": "2020-12-10T14:57:01.371Z",
				"properties": {
					"createdate": "2020-12-10T14:57:01.371Z",
					"email": "emailmaria@hubspot.com",
					"firstname": "Maria",
					"hs_object_id": "1",
					"lastmodifieddate": "2022-06-06T09:58:40.974Z",
					"lastname": "Johnson (Sample Contact)"
				},
				"updatedAt": "2022-06-06T09:58:40.974Z"
			},
			{
				"id": "51",
				"archived": false,
				"createdAt": "2020-12-10T14:57:01.710Z",
				"properties": {
					"createdate": "2020-12-10T14:57:01.710Z",
					"email": "bh@hubspot.com",
					"firstname": "Brian",
					"hs_object_id": "51",
					"lastmodifieddate": "2022-05-03T13:13:57.829Z",
					"lastname": "Halligan (Sample Contact)"
				},
				"updatedAt": "2022-05-03T13:13:57.829Z"
			},
			{
				"id": "151",
				"archived": false,
				"createdAt": "2021-02-09T22:08:31.916Z",
				"properties": {
					"createdate": "2021-02-09T22:08:31.916Z",
					"email": "patestuta@gmail.com",
					"firstname": "Pais",
					"hs_object_id": "151",
					"lastmodifieddate": "2022-05-21T16:41:50.639Z",
					"lastname": "M"
				},
				"updatedAt": "2022-05-21T16:41:50.639Z"
			}
		]
	}
}
